Subject: Query: Cubebs

From: [email-masked] (Risa )
Date: 5 Sep 1995 17:57:17 GMT

I am interested in any information I can get regarding
cubebs .  I am also looking for a mail order sources for them.  Any
help is appreciated.  Thanks.                                          

 I am looking for any information that is available on cubebs and where
I and send off to to get them.  Any help is appreciated.  Thanks.